.::SWF::Morph(3)

NAME
SWF::Morph - SWF Morph Class

SYNOPSIS
        use SWF::Morph;
        my $morph = new SWF::Morph();

DESCRIPTION
SWF::Morph twist from one shape to another.

METHODS

new SWF::Morph();
    Returns an SWF::Morph object.

($shape1, $shape2) = $morph->getShapes();
    Returns two SWF::Shape objects. The first one (shape1) is the morph's starting shape while shape2 is its final shape. You may also use "getShape1()" and "getShape2()" methods to get a handle of these shapes.

$shape1 = $morph->getShape1();
    Returns the morph's starting shape.

$shape2 = $morph->getShape2();
    Returns the morph's final shape.

AUTHOR
Soheil Seyfaie (soheil@netcom.ca).

SEE ALSO
SWF, SWF::DisplayItem, SWF::Shape, SWF::Movie, SWF::MovieClip